Subject: Re: bug#51801: No warning when attempting to build unsupported system with --system

From: Ludovic Courtès <[email-masked]>
Date: Fri, 18 Feb 2022 14:18:02 +0100

Ludovic Courtès <[email-masked]> skribis:

> Maxim Cournoyer <[email-masked]> skribis:
>
>> I was surprised that:
>>
>> guix build fpc --system=armhf-linux
>>
>> would send me in a dead end without any word of caution, given that
>> armhf-linux is *not* listed in the supported-systems field.
>>
>> We should at least warn near the beginning of the build, and remind of
>> that fact at the end of the build in case of failure.
>
> I came up with the patches below.
>
> The first part forbids unsupported packages altogether in user-facing
> commands: ‘guix install’, ‘guix shell’, etc.  Until now, they’d just
> start building things that were bound to fail.
>
> The second part adds a mere warning for ‘guix build’ (it does not repeat
> it at the end, though).

I went ahead and pushed them:

  0ca26437cb guix build: Warn when attempting to build an unsupported package.
  5a57313918 profiles: 'profile-derivation' rejects unsupported packages.
  0572737a62 packages: 'package-transitive-supported-systems' ignores '%current-target-system'.

Ludo’.